/// <reference types="node" />
import { IContext } from './IContext';
import { Stream } from 'stream';
/**
 * Base Controller.
 *
 * @export
 * @class Controller
 */
export declare abstract class BaseController {
    context: IContext;
    view(viewName: string, model: any): any;
    file(file: string | Buffer | Stream, contentType?: string, fileDownloadName?: string): Promise<Buffer>;
}
