import { NullComponent, IComponent, IContainer } from 'tsioc';
import { IRoute } from './IRoute';
import { IContext } from '../IContext';
import { NotFoundError } from '../errors/index';
export declare class NotFoundRoute extends NullComponent implements IRoute {
    name: string;
    url: string;
    parent?: IComponent;
    match(ctx: IContext): IRoute;
    navigating(container: IContainer, ctx: IContext): Promise<NotFoundError>;
    empty(): IComponent;
}
export declare const notFoundRoute: NotFoundRoute;
