"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tsioc_1 = require("tsioc");
const index_1 = require("../errors/index");
class NotFoundRoute extends tsioc_1.NullComponent {
    match(ctx) {
        return exports.notFoundRoute;
    }
    async navigating(container, ctx) {
        return new index_1.NotFoundError();
    }
    empty() {
        return exports.notFoundRoute;
    }
}
exports.NotFoundRoute = NotFoundRoute;
exports.notFoundRoute = new NotFoundRoute();

//# sourceMappingURL=../sourcemaps/router/NotFoundRoute.js.map
