import { BaseRoute } from './BaseRoute';
import { Type, IContainer, AsyncParamProvider, Token } from 'tsioc';
import { IContext } from '../IContext';
import { RouteMetadata } from '../decorators';
export declare class ControllerRoute extends BaseRoute {
    private controller;
    constructor(route: string, controller: Type<any>);
    navigating(container: IContainer, ctx: IContext): Promise<any>;
    createProvider(container: IContainer, meta: RouteMetadata, params: Token<any>[], ctrl: any, ctx: IContext): AsyncParamProvider[];
    isBaseType(p: any): boolean;
    protected isRestUri(uri: string): boolean;
    invoke(container: IContainer, decorator: Function, routPath: string, provider: (meta: RouteMetadata, params: Token<any>[], ctrl: any) => AsyncParamProvider[]): Promise<{}>;
}
